/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class Abs extends OneArgumentOperator implements ELOperator 
{
  protected final float function(float f)
  {
    return (float)Math.abs(f);
  }

  public String name()
  {
    return "Abs";
  }

  public String description()
  {
    return "Computes the absolute value of the input matrix";
  }  

  protected String iconString()
  {
    return "|x|";
  }
}
